Opplæring: Installer pakker .tar.gz og .tar.bz2

I begynnelsen når vi starter i Linux og ser etter et program, er det normalt at vi finner en .deb eller .rpm, og i mange tilfeller finner vi programmer med utvidelsen .tar.gz y .tar.bz2, disse filene er komprimert og inneholder vanligvis separate instruksjoner for å installere den.

Installasjonen for disse to typer pakker er nøyaktig den samme

Først går vi til mappen der vi har filen, hvis mappen har flere ord må vi sette dem med "" eller hvis den ikke ser etter mapper med hvert ord.

cd-mappe der filen ligger cd "mappe der filen er"

Inne pakker vi ut filen

tar -zxvf filnavn.tar.gz tar -jxvf filnavn.tar.bz2

Vi konfigurerer

. / Konfigurer

Vi lager (kompilerer)

gjøre

Gjør nå installasjonen

make install

Noen ganger kan det gi oss en feil i ./configure, i så fall trenger den ikke kompilering, og med utførelse har vi nok, i en terminal vi gjør

Relatert artikkel:
Kommandoer for å kjenne systemet (identifisere maskinvare og noen programvarekonfigurasjoner)
programnavn

Eller vi lager en bærerakett.


Innholdet i artikkelen følger våre prinsipper for redaksjonell etikk. Klikk på for å rapportere en feil her.

102 kommentarer, legg igjen dine

Legg igjen kommentaren

Din e-postadresse vil ikke bli publisert. Obligatoriske felt er merket med *

*

*

  1. Ansvarlig for dataene: Miguel Ángel Gatón
  2. Formålet med dataene: Kontroller SPAM, kommentaradministrasjon.
  3. Legitimering: Ditt samtykke
  4. Kommunikasjon av dataene: Dataene vil ikke bli kommunisert til tredjeparter bortsett fra ved juridisk forpliktelse.
  5. Datalagring: Database vert for Occentus Networks (EU)
  6. Rettigheter: Når som helst kan du begrense, gjenopprette og slette informasjonen din.

  1.   Moskva sa

    wena, +1

  2.   ordentlig sa

    faktisk er det riktige å pakke ut
    tar -zxvf file.tar.gz
    tar -jxvf file.tar.bz2

    og for å konfigurere er det uendelig mange alternativer (avhengig av programvare) for å tilpasse installasjonen

    ./konfigurer –hjelp

    Med det vil de se de forskjellige tilleggsalternativene når de installerer et program.
    Ikke alle distribusjoner bruker / usr / local for å installere programmer, det må også nevnes.

    Du glemte å nevne hvordan du avinstallerer et program som er installert på den måten. I tillegg til å definere optimaliseringer for hver arkitektur.

    Uansett, godt initiativ, men du savnet mye ... for mye informasjon til å dele.

    Hilsen

    1.    Courage sa

      Det er noe jeg nesten aldri har brukt, de fleste programmene jeg finner i de offisielle arkivene.

      Sannheten om dekomprimering er at det alltid har vært bra for meg som dette.

      Jeg skrev det fordi det plager meg alle de som sier, "når du pakker ut, les instruksjonene."

      Uansett ser jeg .tar.gz som siste utvei, hvis det ikke er noen i deb / rpm-pakken eller i repositoriene.

      1.    ordentlig sa

        "Sannheten om dekomprimering er at det alltid har vært bra for meg som dette."
        vi er enige, jeg bestrider ikke det, men det betyr ikke at det er riktig å gjøre. Ikke alle distros dekomprimerer "intelligent", noen må legge til flere parametere.

        1.    Courage sa

          Mann, det er ikke min feil at det er subnormale distroer hahahaha

          1.    ordentlig sa

            KISS mann ... KISS

          2.    Courage sa

            Mann, KISS er ikke idiot, det vet du allerede med Slackware hahahaha

          3.    ordentlig sa

            xD
            Det er derfor jeg forteller deg det

            Enkelt! = Lett.

  3.   Yoyo sa

    +1 for riktig

    1.    Pepe sa

      Det ene drittsekket mer enn det andre. Disse "geniene" er utenfor emnet.

  4.   Lithos523 sa

    Hvis du endrer "make install" til "checkinstall" (du kan installere det med aptitude, det er i repositoriene) vil det installere programmet, men også:
    -Lag en .deb slik at du kan installere den ved fremtidige anledninger
    -Det installerte programmet vises i Synaptic, slik at du enkelt kan avinstallere det derfra

    1.    Courage sa

      Arch brukere har det involvert med Aptitude ...

  5.   jelpasajero sa

    Beklager min uvitenhet, men løser alien-appen alle disse problemene?

    1.    ordentlig sa

      nope, fordi alien fungerer med kompilerte pakker og tar.gz eller tar.bz2 er komprimerte filer med kildekoden.

  6.   pandev92 sa

    Du kan egentlig ikke gjøre en veiledning om dette, mesteparten av tiden, i det minste blir qt-pakkene samlet på andre, enda merkeligere måter.

    1.    hypersayan_x sa

      Akkurat jeg skulle si det samme.
      De som bruker qmake fra Qt er mer eller mindre slik:


      cd CarpetaPrograma
      qmake
      make
      sudo make install

      Og jeg legger til en annen sak som er cmakes:


      cd CarpetaPrograma
      mkdir build
      cd build
      cmake ..
      make
      sudo make install

      Eller det er andre som bare må kjøre make && sudo make install.
      Det er de vanligste tilfellene, men det er mange flere varianter: s

      1.    mcder3 sa

        Det er tider at noen applikasjoner som er gjort i QT ikke tar med makefilen. Så det er på tide å lage dem med følgende linje:

        qmake -makefile

        Hilsen

  7.   jelpasajero sa

    La oss se om jeg avklarer, når jeg må bruke en tar.gz eller en tar.bz2 alt jeg gjør for å generere en .deb eller en all.deb som bruker alien, er å sette sudo alien install + pakkenavn. Er det ikke det samme som å kompilere?

    1.    hypersayan_x sa

      Nei, kompilering forvandler kildekoden til programmet til maskinkode.
      Mens det du gjør med romvesen er ompakking som konverterer pakkeformatet til en distribusjon til pakkeformatet til en annen distribusjon.
      For å gjøre det enklere, er det som om du hadde en fil komprimert i RAR, og du vil overføre den til ZIP, du vil dekomprimere filen i RAR og komprimere den igjen i ZIP, det er det alien gjør.

  8.   StuMx sa

    Kompilering gjøres i fabrikat, ikke i konfigurasjon. Konfigurasjonsfilen er et skript som bekrefter at systemet oppfyller alle avhengighetene for å kompilere programmet, og deretter genererer den make-filen (som er den som definerer hvordan den skal kompileres) i henhold til vårt system.

    1.    Courage sa

      Nå fjerner jeg den fordi denne artikkelen allerede er lenge siden jeg skrev den i april eller mai. Jeg sjekket det nesten ikke fjerne et dårlig ord ingenting annet

  9.   jelpasajero sa

    Hei
    Jeg tror ikke jeg forklarer meg veldig bra. Alien forvandler ikke bare en rpm-pakke til en .deb. Hvis du tar kildekoden til et program, det være seg gz, eller bz2, forvandler den det til en selvinstallerende feilsøkingsprogram. Derav spørsmålet mitt. Jeg har brukt Linux lenge, vær med meg.

  10.   Marco sa

    unnskyld min uvitenhet, men disse trinnene gjelder også i Chakra, eller endres noe ???

    1.    KZKG ^ Gaara sa

      Ingen mann i det hele tatt 😀
      Som sådan er disse trinnene nesten en standard i alle distribusjoner, men det er ikke 100% sikkert at disse ALTID er trinnene du skal følge. Derfor anbefaler jeg at du alltid leser instruksjonsfilen (LES vanligvis) før du gjør noe.

    2.    ordentlig sa

      som @ KZKG ^ Gaara sier, dette er ikke alltid tilfelle, det er en standard som vil fungere for alle distroer så lenge programmet er skrevet i C / C ++

  11.   Carlos-Xfce sa

    Når jeg blir møtt med en av disse .tar.gz, kommer jeg tilbake til denne artikkelen. Hvordan jeg avskyr slike slike pakker!

    1.    Courage sa

      Jammen er du gammel nok til å installere disse pakkene HAHAHAHAHA

  12.   VulkHead sa

    Unnskyld min manglende kunnskap. Denne installasjonsmetoden fungerer også for Debian. Fordi jeg prøver, og jeg prøver, og det gir meg en feil.

  13.   Laura Tejera sa

    Det er derfor ingen bruker linux, å gjøre noe dumt er et triks

    1.    elav sa

      Hvor nysgjerrig, noen av de dumme tingene du nevner, de "superbegavede" brukerne av Windows og OS X kan ikke gjøre dem, eller er redde for dem.

      1.    Laura Tejera sa

        det morsomme er hvordan folk som deg kan følge et slikt lukket operativsystem.

        1.    KZKG ^ Gaara sa

          Har du unngått å svare på spørsmålet? ... Kan Windows-brukere eller OS X-genier gjøre så mange ting med systemet sitt som vi viser på dette nettstedet? 🙂

          Forresten, du bruker Ubuntu så ... hva snakker vi om?

          1.    Laura Tejera sa

            fortsett den middelmådige mangaen

            1.    KZKG ^ Gaara sa

              Er vi middelmådige? ... Uff ... LOL!


      2.    Pepe sa

        Vi er i året 2015!
        Jeg tror det ikke er nødvendig å kaste bort så mye tid på å studere for å jobbe fra konsollen.
        Hvorfor ikke bruke automatiserte applikasjoner til dette?
        I alle fall lar de som "liker" å skrive kommandoene fra konsollen der, fortsette å gjøre det, men parallelt vil det være nødvendig å ha de samme automatiserte kommandoene. Jeg ber deg ikke sende en rakett til månen.

    2.    Santiago Luis Bazan sa

      Årsakene til å bruke gratis programvare er moralsk etikk. La aldri noen bli nektet sine menneskelige friheter

      1.    Pepe sa

        Sannheten om at sanata om "frihet" i programmene har fått meg lei. Kunne de ikke slutte å rose en ikke-eksisterende gud og være litt mer ydmyke?

    3.    Pepe sa

      Du har rett Laura, disse gutta med Linux kompliserer det til beinet. I put0 windows er ting lettere. Jeg fornedrer ikke Linux, men det kan ikke være slik at du installerer noen pel0tudes du bruker timer og timer på å undersøke hvordan tjære fungerer og alle meresundene, slik at du på slutten av dagen blir sittende fast med den "Linux-nybegynneren ...".

      Jeg har tenkt å bruke et stabilt operativsystem, men ikke ta timer unna produksjonen min fordi jeg må jobbe, jeg har ikke noe ønske om å bli "Linux-utdannet".

  14.   Thanatos sa

    Noe mangler alltid ... når jeg gir ./configure får jeg: configure: error: Intltoolen din er for gammel. Du trenger intltool 0.35.0 eller nyere.

    Deretter returnerer fabrikasjonsinstruksjonen: Ingen mål ble spesifisert og ingen makefile ble funnet. Høy.

    make install: Det er ingen regel for å bygge `installeringsmålet

    Jeg er nybegynner, og det er bra å undersøke for å lære, men FUCK, kan du ikke forklare det med fargede småstein for de av oss som er nye i Linux?

    1.    Ponchus sa

      Thanatos Jeg hadde et lignende problem, og jeg deler resultatet mitt:
      (Først av alt, for å avklare at jeg også er en neofytt i Linux-verdenen og mine opplevelser i denne sammenhengen med "smak" (distro) til Ubuntu er en uke).
      Forutsatt at den kommer inn i mappen min «Nedlastinger» med kommandoen «cd» hvor pakken min av programmet «SoulSeek» med slutt «.tgz» lå i terminalen eller konsollen:
      "./Configure" ga meg en feil om at filen eller katalogen ikke eksisterte
      "Make" kastet meg den samme feilen som deg ... så jeg fortsatte ikke med kommandoen "sudo make install" (sudo er fordi Ubuntu krever "Superbruker og passordet hans" for å kjøre denne kommandoen, med andre ord gjøre en installasjon) .
      Etter å ha undersøkt den tidligere utpakkede filen, skjønte jeg noe som kunne skje med deg, og det er at den utpakkede filen var av typen "kjørbar fil" (høyreklikkeegenskaper) og to klikk var nok til å utføre den.
      Problemet ditt i «./configure» kan løses med en oppdatering av pakkene eller depotene (disse vilkårene forvirrer meg litt) installert i Distro, siden det forteller deg at «intItooI» er gammel og du trenger en nyere, og jeg tror at kanskje denne pakken er den som kompilerer på distro. I Ubuntu gjør du det i samme terminal ved å skrive "sudo apt-get update" og oppdatere alle pakkene på systemet.
      Jeg håper jeg har vært behjelpelig.

    2.    Pepe sa

      Som jeg sa til Laura, tar denne Linux-tingen lang tid. Det ga meg den samme feilmeldingen som din, og jeg er som spøkelset til Canterville fra ett sted til et annet og ingenting.

      Sjefen min sa til meg: "Du har to dager på deg til å finne løsningen, hvis ikke, går vi tilbake til windows."

  15.   Jonathan sa

    Takk

  16.   ivan sa

    hei jeg har det samme problemet jeg vil installere skype 4.0. på min pclinuxOS lastet jeg ned tjæren, gz2 og dekomprimerte og til der fikk jeg, når jeg gjør det ./configure forteller det meg at filen ikke eksisterer .. hvor mistet jeg eller hva? fortell meg, i pclinuxOS (den siste utgitte versjonen) er skype installert, men det er versjon 2.2 og jeg vil installere 4,
    Er det noe triks jeg må gjøre for å endelig installere dette? noe synaptisk som jeg ikke vet ???
    Jeg er ny på dette systemet, jeg har prøvd andre distroer før og så langt er alt bra bortsett fra dette.

    hilsen

    1.    Pepe sa

      Er det meg, eller tror jeg ikke noen kjenner til disse spørsmålene.

    2.    F7eo sa

      Hei, det er lenge siden spørsmålet ditt.

      Jeg anbefaler at du laster ned den nyeste versjonen av Skype for Windows (R)
      og at du bruker Wine til å kjøre den på GNU-Linux distro.

  17.   av sa

    Hallo! Jeg har det samme problemet: Jeg lastet ned den siste versjonen av senterprogramvaren med utvidelsen tar.gz, og da jeg kom til "./configure" -forekomsten, fikk jeg en feil, akkurat som i "make". HVA ER DET"?? TAKK!! I tillegg har programvaresenteret blokkert muligheten til å installere !!!

  18.   Carlos Rivera plassholderbilde sa

    Takk, det hjalp meg veldig !!!!

  19.   Michael sa

    hvordan lage en bærerakett

  20.   AnGi sa

    Ett spørsmål, kan du sjekke avhengighet av en tar.gz-fil før du kjører ./configure ???

  21.   JoseLuis sa

    Jeg er ny på Linux, det virker veldig vanskelig å installere tar gz gz2-nettbrettene, og hvis jeg får deb, mangler det avhengigheter og med turtallet det samme hvis det er i586 eller i686 eller i386, og det verste er at jeg ikke har internett hjemme. Å se så mye kommentarer som motsier en forvirrer deg verre.

  22.   gabriel yamamoto sa

    god info, men noen * .tar.bz2-pakker er allerede kompilert, og for å installere dem, trenger du bare å pakke dem ut i hvilken som helst mappe (helst / opt slik at den er tilgjengelig for alle brukere) og gi direkte tilgang til binærfilen i / usr / lokal / søppel

  23.   Gonzalo sa

    Veldig god forklaring på hvordan du bruker tar.gz-filer. Tusen takk for informasjonen. Hilsen til hele teamet

  24.   juancuyo sa

    Det fungerer ikke for meg
    cd / home / ju / downloads / icecat-24.0 ——-> Svarer meg
    bash: cd: home / ju / downloads / icecat-24.0: fil eller katalog finnes ikke
    Hva gjør jeg galt??? Operativsystemet er Voyager 14.04 LTS (xubuntu) Xfce desktop Gdebi er ikke i innholdsmenyen og er heller ikke synaptiske, men de er i startmenyen, selv om jeg åpner dem, kjenner de ikke igjen mappene, det er som om de gjorde det eksisterer ikke. Jeg pakket den ut i samme nedlastingsmappe. Er den feilaktig pakket ut ????

  25.   claudio sa

    Denne opplæringen fungerer også for .tgz?

    1.    joakoej sa

      Nei, .tgz er formatet som Slackware bruker, og de er allerede kompilert, enten du har lastet det ned eller samlet det fra en slackbuild

    2.    joakoej sa

      For å installere den må du bruke installpkg "pakke navn".

  26.   asdf sa

    Beklager, men det løser ikke problemet mye for meg, når du sier ./configure og vi konfigurerer det, bør du spesifisere mer, ikke sant? hvis jeg bare setter ./configure, forteller det meg
    bash: ./configure: Fil eller katalog eksisterer ikke

    da sier du "vi lager"
    Kode:
    Lage
    Mitt resultat:
    make: *** Ingen mål spesifisert og ingen makefile funnet. Høy.

    Gjør installasjon
    make: *** Det er ingen regel for å konstruere "installer" -målet. Høy.

    Og så sier du "vi kjører programmet"
    Kode:
    Programnavn

    Hvordan vet jeg hva som er navnet eller hvilket som kan kjøres? Det er veldig abstrakt, kanskje du tar for gitt flere ting du vil vite, men de som kommer for å se en opplæring vet kanskje ikke

    1.    Damian sa

      asdf.

      Jeg undersøkte og feilen som oppstår når jeg gir ./configure, skyldes mangelen på kompilasjonsprogrammet (hvordan kunne vi kompilere uten å ha et program som gjør det?). kommandoen for å installere en kompilator å skrive inn er:

      sudo aptitude installer essensiell

      Når den er installert, går vi til mappen der filen du skal pakke ut og kjører:

      tar -zxvf programnavn.tar.gz

      Deretter skriver vi inn den utpakkede programmappen, og hvis det kjøres ./configure og sudo installerer

      Jeg håper jeg har hjulpet!

      Hilsener.

      1.    Damian sa

        beklager, jeg glemte å avklare, i mitt tilfelle å utføre "make" og "sudo apt-get install-programmet" måtte jeg gå inn i "base" -mappen i den utpakkede mappen, akkurat der tok jeg kommandoene for å kompilere (lage ) og installasjonen.

      2.    Carlos sa

        Det gir meg problemer når jeg bruker det står at det ikke finner noe å bygge høyt

  27.   Brenda sa

    Beklager at jeg har dette problemet. Jeg kjører denne kommandoen, det viser meg en feil, og jeg kan ikke opprette makefilen
    skrivebord: ~ / Nedlastinger $ tar -jxvf iReport-4.1.3.tar.bz2
    tar (underordnet): iReport-4.1.3.tar.bz2: Kan ikke åpne: Fil eller katalog eksisterer ikke
    tar (barn): Feilen kan ikke gjenopprettes: avsluttes nå
    tjære: Barn returnerte status 2
    tar: Feilen kan ikke gjenopprettes: avsluttes nå
    vær så snill =)

  28.   Aaron sa

    God dag venner,
    Jeg er ny på Linux, men jeg har hatt litt ulempe når det gjelder å gjenkjenne en enhet som er en digital biometrisk leser, jeg bare googlet og tilsynelatende fant den imidlertid, den lastet ned med en .tar.gz-utvidelse, prøv Pakk den ut i en mappe, flere filer ble pakket ut, men jeg vet ikke om jeg etterpå må utføre noe annet eller lime inn de utpakkede filene i en mappe på systemet, jeg vet ikke, hvis du hjelper meg, for å kjøre prosessen bra, ville jeg veldig takknemlig, jeg har Linux Debian 7 installert på OS XNUMX. på forhånd, hilsen og tusen takk.

  29.   Rufo López Retortillo sa

    Jeg bruker både Linex 2011 og Linex 2013, og det største problemet jeg finner når jeg installerer applikasjoner er at de ikke er lastet inn i listen over applikasjoner i gruppen sin (grafikk, kontor, multimedia osv.), Og hvis jeg vil lage en launcher, vet jeg ikke hvor Jeg må gå for å finne programstarterfilen. I hvilken mappe lager du den? Hvordan gjøre det?
    Når de er installert fra repositoriene, plasseres bærerakettene i gruppen deres, kan dette gjøres ved å installere, tar.gz som beskrevet på dette nettet?
    Takk for hjelpen

  30.   Carlos sa

    Hjelp, jeg har et annet operativsystem kalt lps 1.5.5, og jeg kan ikke oppdatere programmet

  31.   Carlos sa

    Fortell deg igjen at jeg ikke kan pakke ut en tar.bz2-fil, jeg har et operativsystem kalt lps 1.5.5 og jeg vet ikke hvordan jeg skal bruke den, vær så snill å hjelpe meg, jeg takker deg ...

  32.   joscastel sa

    etter å ha pakket ut bz2-filen, fungerer IKKE kommandoen ./configure fordi den IKKE eksisterer

    1.    joscastel sa

      Jeg har ubuntu 14.04LTS

  33.   du vet sa

    Jeg forstår det ikke, i slax går .tar.gz på kino, men i ubuntu har jeg ingen måte å kompilere

  34.   Raul sa

    Hva er det beste operativsystemet? det beste operativsystemet er at det løser problemene dine.

  35.   Juanzito sa

    Linux-folk er fantastiske. Jeg har prøvd å installere ZinjaI på min nylig installerte LinuxMint distro i minst 5 timer.
    Jeg går gjennom alle forumene jeg finner, og i alt (men alt, inkludert dette), gir de deg halvparten av informasjonen.
    For eksempel har jeg allerede åpnet terminalen, men jeg kan ikke plassere adressen der den nedlastede filen ligger (som er / home / user / Downloads / zinjai).
    Alt jeg får er en feil: "bash: cd: bruker: Ingen slik fil eller katalog.
    Jeg forstår at de ønsker å spre og formidle bruken av et operativsystem, men nekter informasjon eller forklarer alt i to tiltak, det eneste de vil oppnå er at brukere som meg, som hadde den faste intensjonen om å gå fra Windows til Linux, ga opp og hold deg til W7-en min, dårlig men nyttig og håndterbar.

    Jubel…

    PS: Hva kostet et elendig installatør med et grafisk grensesnitt dem? Hvorfor i dag i det XXI århundre, bør de fortsette å bruke noe som ligner på DOS for å installere et elendig lite program? Gutter ... la oss se om de livner litt opp ....

    1.    Ocelot sa

      cd ~ / Nedlastinger / installasjonsskriptbane.

      Et tips: stikk med vinduer. Hvert operativsystem er laget for en type person. Windows er laget for folk som foretrekker å få alt grunnlag og med minst mulig innsats, og jeg ser at det er din sak. Det er mennesker som ikke kan eller ikke ønsker å streve etter noe mer enn neste, neste, neste ... godta. Det er ikke dårlig, vi må bare kjenne til våre begrensninger og tilpasse oss dem.

      Et annet tips: Hvis du bare visste hvor mange ting som oppnås med ydmykhet og bruker to ord som "vær så snill." Det vil overraske deg. Gjør det ofte.

      1.    Knario sa

        Hei Linuxeros.
        Tusen takk for opplæringen, det hjalp meg å installere driverne for dwa-131 wifi-adapteren.
        Jeg er litt i tvil, jeg har gjort alt som de sier ovenfor.
        Gå til filstien, gjør tjære…. og deretter Lag, vent til den er ferdig, og gjør deretter installasjonen.
        Inntil det trinnet ga det meg ingen feil.
        Spørsmålet jeg har er å vite om jeg allerede har driverne installert, eller må jeg gjøre noe annet.
        Juanzito .. muntre opp og gi Linux en sjanse, uansett distribusjon, bestemte jeg meg for å forlate windows 7 for en uke siden, og jeg er mer tapt enn helvete, hahaha, men når du leser her og der, finner du informasjon som noen ganger er vanskelig for deg For å forstå, avhenger alt av innsatsen til hver enkelt for å ønske å lære og komme seg ut av monopolet hvor Windows bygger deg inn (det er min mening).
        En ting ... på Linux-terminalen teller store bokstaver. 😉

        PS: Jeg må gjøre noe annet etter Kame-installasjonen. ??

        Tusen takk.
        Tusen takk og hilsen fra Kanariøyene.

      2.    buer sa

        Og hvem er du som forteller en bruker å gå tilbake til X-systemet? Tror du Richard stallman?

        Jeg er enig i hva de sier i noen kommentarer at det beste operativsystemet er det som systemet tilpasser seg brukeren og IKKE omvendt.

        Jeg elsker personlig Windows .exe fordi du som du sier ikke trenger å være et datageni for å installere noe veldig enkelt som en enkel notisblokk; sammenlignet her i linux at hvis det ikke er i de dedikerte programvarene, holder du deg til århundrets floker med et nettbrett.

        Jeg kom hit for å lete etter og organisere informasjon for å installere programmer i Linux, siden jeg forbereder meg på å installere mynten på en produktiv maskin, og jeg vet at hvis jeg ikke forbereder meg, vil jeg ikke kunne installere noe hvis den ikke er i arkivene.

        Nå "vær så snill" alle ber om det, problemet er at ingen svarer dem, det er derfor noen ganger må folk være aggressive, så ikke si tull.

      3.    pablo sa

        beklager .. men jeg har alltid forsvart bruken av gratis og åpen programvare .. Jeg har brukt datamaskiner i 30 år .. og jeg er 37 ..
        problemet er at generelt i linux er det perfekt at den som vil eller skal "vite" litt mer for noe enkelt som å installere et program, en oppdatering eller hva som helst ... problemet kommer i at mange trenger å jobbe og bruke pc-en (med hvilket som helst operativsystem) for å utføre den spesifikke arbeidsoppgaven .. så selv om det tar 10 minutter å laste ned en .gz og installere den .. eller om det som det meste skjer, vil timene gå .. de er minutter eller timer uten å kunne gjør jobben din, og det er der nesten alle går tom for tålmodighet ..
        i mitt tilfelle .. på jobben bruker jeg bare Ubuntu som er det som er installert som standard på PC-er, siden det er et vitenskapelig senter, men det får meg til å bruke flere timer på å prøve å installere eller til og med å løse hvordan jeg lager en myk spesifikk (for eksempel er jeg geograf) fungerer den .. eller etter en hvilken som helst oppdatering av den .. gjenopprett alle verktøyene fordi halvparten slutter å jobbe i et program ..
        i dette spesifikke tilfellet .. Jeg trengte å se et webinar / forum på jobben .. og siden de bruker java, savner jeg tegnet på at jeg skulle oppdatere det .. ok .. gå til java-nettstedet .. finn filen til operativsystemet mitt, 14.04 .. se på nedlasting og installasjon "" instruksjoner "" .. last ned en .gz og derfra videre .. pakke ut .. ok, og ... det står "installer" .. og voila .. bare ingenting kunne gjøres med info om dette innlegget .. hva gjør jeg når jeg pakker ut «jre-blablabla of a lifetime.gz» ??

  36.   Carlos Fabian Ferra sa

    dette fungerte aldri for meg i noen distro

    1.    Yukiteru sa

      Hvis det ikke fungerte for deg, er det rent lag 8.

      1.    Yank Carlos sa

        Geni!

  37.   Ignacio Navarro sa

    Når jeg bruker det veldig av og til, hver gang jeg kommer inn her for å se hvordan det gjøres.
    Tusen takk for at du har skrevet den og for ikke å slette den etter så lang tid.

  38.   ramon sa

    Som du kan se synaptisk den nye pakken installert hvis den viser deg den eldste (stabil i henhold til distro)

  39.   Jorge sa

    alt går til skit når du kommer til ./konfigurer det er ingen som forklarer godt for når du sier at filen ikke eksisterer

    1.    Elvis sa

      Jeg prøver å installere wifi fra Broadcom verken ./configure, verken gjøre eller få installasjon til å fungere.

      den logiske sekvensen er første utfør. / konfigurer, men tilsynelatende refererer denne instruksjonen bare til en konfigurasjonsmappe og utfører en fil som er lagt der, denne skal komme i pakken som lastes ned fra Broadcom, men i mitt tilfelle er denne katalogen ikke der, den som skal utføre konfigurering er en sjekk og oppretter Makefile-filen, men når jeg pakker ut pakken skjønner jeg at Makefile er innlemmet, de to andre kommandoene gjør og gjør installering ikke fungerer for meg, det ville være fordi den nyeste versjonen av elementære operativsystemer ikke støtter freya basert på ubuntu 1

    2.    Alejandro TorMar sa

      Sannheten? Denne metoden har aldri fungert for meg, og jeg velger alltid .deb-pakker eller kommandoer fra terminalen ... Synd at det ikke er noe klart å installere .tar.gz

  40.   Elvis sa

    Jeg prøver å installere wifi fra Broadcom verken ./configure, verken gjøre eller få installasjon til å fungere.

    den logiske sekvensen er første utfør. / konfigurer, men tilsynelatende refererer denne instruksjonen bare til en konfigurasjonsmappe og utfører en fil som er lagt der, denne skal komme i pakken som lastes ned fra Broadcom, men i mitt tilfelle er denne katalogen ikke der, den som skal utføre konfigurering er en sjekk og oppretter Makefile-filen, men når jeg pakker ut pakken skjønner jeg at Makefile er innlemmet, de to andre kommandoene gjør og gjør installering ikke fungerer for meg, det ville være fordi den nyeste versjonen av elementære operativsystemer ikke støtter freya basert på ubuntu 1

  41.   Alejandro TorMar sa

    Sannheten? Denne metoden har aldri tjent meg bra, og jeg velger alltid .deb-pakker eller kommandoer fra terminalen ... Synd at det ikke er noe klart å installere .tar.gz

  42.   Alejandro TorMar sa

    Hvorfor oppdateres ikke denne veiledningen? Eller lager de en ny?
    Alle her klager over at det ikke tjente dem, og det har allerede årene ...

  43.   HECTOR MATOS sa

    Hei, jeg vil ha hjelp, med det for å installere pakker .. Jeg har Ubuntu versjon 15 .. noe .. Jeg vil installere adobe flash plugin, for det er veldig nyttig å installere det, siden jeg med adobe flash kan gå inn på noen nettsider, der du kan se TV og også lytte til radio .. kan du sende meg en trinnvis veiledning .. Jeg har ikke mye erfaring med kommandolinjen, det vil si å bruke en terminal.

    Hjelp..takk

  44.   Abraham sa

    Hei alle sammen !!! Etter å ha lest nesten alle kommentarene, så jeg etter en Linux-manual, og det er det.
    Venn OCELOTE, godta denne kritikken, fra mitt ydmyke og ubetydelige synspunkt som jeg deler med millioner av Windows-brukere:

    Jeg vil gjerne bytte til linux! men mange av oss synes det er umulig, hvorfor? du lurer kanskje på ... fordi datamaskinen for meg er middelet jeg har for å utføre arbeidet mitt, det er ikke slutten ... Jeg vet ikke om du forstår hva vi alle vil ha (og JUANZITO har fortalt deg godt) det er et stabilt operativsystem som hjelper oss for å utføre arbeidet vårt, har jeg ikke tid til å lære å gjøre grunnleggende ting som å installere et program fra konsollen, alt skal være mer intuitivt og lettere ... Som forretningsmann vil jeg fortelle deg at ledelsen du har med Linux er katastrofal, i stedet for å hjelpe folket for å gjøre endringen av operativsystemet insisterer du på at folk lyver med ting som ikke interesserer dem, og du blokkerer endringen selv ... En som programmerte i assembler, java, javascript, html, php og xbase, forteller deg det ... og det berører nesen min å måtte åpne konsollen for nesten alt.

    En hilsen

  45.   defcon sa

    Utholdenhet DOS 6.22 gammel !!

  46.   erput sa

    Sett deg til å studere og la den dritten av wuendos som fungerer for noen fordi de lager puten som nøkler, de betaler dem ikke, for å toppe det hele, de som laget disse nøklene er linux-geniene og de burde, til det Du er som dum å diskutere mamahuevadas, for forretningsmennene som jeg sier til dem, fortsett å betale lisensen, og hvis det de vil ha er stabilt, vinn vinn hva i helvete de gjør og skriver idioter i disse veiledningene, dette er for de av oss som liker Linux idioter ... .. finger po esset

  47.   GENNDA sa

    Det er ikke veldig klart for nybegynnere. For eksempel sier du:
    «Først går vi til mappen der vi har filen, hvis mappen har flere ord, må vi sette dem med” ”eller hvis den ikke ser etter mapper med hvert ord» ...
    Enhver bruker vil gå inn i disse mappene med «utforskeren», og vil gi nytt navn uten å vite navnet på mappen som inneholder den med anførselstegn. Det fra synspunktet at du leser det, «fra nybegynnerens synspunkt.

    Så setter du:
    cd-mappen der filen er

    cd "mappe der filen er"
    Fra det tidspunktet har brukeren allerede gått til skyene eller hvor som helst, for fra nå av er han tapt på CDen med initialene, du avklarer ikke hvordan du kommer dit, et trinnvis eksempel, og begynner med alt det ... er å åpne konsollen først .

  48.   GENNDA sa

    For HECTOR MATOS: Adobe plugin, java og andre trenger ikke å gjøres manuelt, du trenger bare å være koblet til internett en stund, og i oppdateringsbehandleren vises det automatisk, derfra oppdateres det automatisk, for Firefox til Opera, og resten uavhengig ... normalt er bæreraketten ved siden av klokken i startlinjen, i flere distroer så jeg at den som standard var der, jeg vet ikke om det vil være slik i dem alle.

  49.   max sa

    Vær mer eksplisitt, mye informasjon mangler

  50.   mary sa

    prøv å oppdatere python til 3.x og gjør installer etter fullføring forteller meg at det er en feil:
    zipimport.zipimporterror kan ikke dekomprimere data zlib ikke tilgjengelig make *** installasjonsfeil

  51.   f_leonar sa

    Etter at du har pakket ut for å kjøre ./configure, er det nødvendig å gå inn i den utpakkede katalogen, ellers fungerer det ikke. Jeg brukte KDE og jeg kom grafisk inn i mappen som jeg pakket ut, og der åpnet jeg en terminal for å utføre "make", men det fungerer ikke ...

  52.   anonym sa

    Jeg har et spørsmål, jeg får dette:
    manolo @ mxlolo-satellitt-c655d: ~ / Desktop $ ./configure –help
    bash: ./configure: Ingen slik fil eller katalog
    hva jeg gjør…?

  53.   KATSODA sa

    Alt bra til ./konfigurasjonen av ballene kom ut.
    HVA MENER DU MED DET !? De forklarer det ikke, jeg vil bare installere det andre jævla livet xddd
    «»»katsoda@katsoda-PC:~/Downloads$ ‘/home/katsoda/Downloads/Second_Life_5_0_4_325124_i686’/configure
    bash: / home / katsoda / Nedlastinger / Second_Life_5_0_4_325124_i686 / configure: Fil eller katalog eksisterer ikke »» »
    Jeg må laste ned Windows 10 og ta rumpa. (?)
    Vel nei. Men dette er en av de tingene jeg hater med Linux. Å installere og be om at favorittprogrammene dine er kompatible her, er ganske utfordrende.

    1.    Gatoo_ sa

      Det er ikke å bry deg, mine herrer, men skaperen av opplæringen forklarer perfekt hva du skal gjøre hvis du får en feil med ./configure. Du må bare lese ferdig resten av opplæringen (som er 4 linjer).

      Jeg synes det er utrolig at så mange klager over at det ikke forklarer ting når du ikke en gang har stoppet for å lese.

  54.   fredag sa

    Vel, jeg erklærer meg offisielt inhabil for denne typen filer. Jeg prøver å installere java, og dette er hva det er;
    javier @ loft: ~ / JAVA / jre1.8.0_151 $ tar -zxvf jre-8u151-linux-x64.tar.gz
    tar (underordnet): jre-8u151-linux-x64.tar.gz: Kan ikke åpne: Fil eller katalog eksisterer ikke
    tar (barn): Feilen kan ikke gjenopprettes: avsluttes nå
    tjære: Barn returnerte status 2
    tar: Feilen kan ikke gjenopprettes: avsluttes nå

  55.   Roger deku sa

    i Linux ubuntu 18.04.01 lts må du bare skrive ./navnet til programmet i samme mappe etter at du har pakket ut det og voila !!!

  56.   jia sa

    Veldig bra, det var veldig nyttig.

  57.   emerson Goncalez sa

    i av linux fungerer dette ikke
    Jeg vet ikke hva som ekstra meg, eller hver gang du installerer en distro, begynner du veien for korset
    du ser hvordan tastaturet går

  58.   Jose Felix Paisano Morales sa

    Hei alle sammen, jeg bruker Ubunto 20 og jeg konsulterte denne siden for å installere skanneren til en Epson L4150 (jeg lastet ned stasjonene fra http://support.epson.net/linux/en/imagescanv3.php?version=1.3.38#ubuntu).
    Jeg fulgte trinnene og brukte 'tar -zxvf filnavn.tar.gz' når jeg pakket ut
    '$ cd imagescan-bundle-ubuntu-20.04-3.63.0.x64.deb', som er mappen som opprettes.
    Inne i mappen jeg brukte './install.sh', som er som å bruke './configure', spurte systemet meg om passordet mitt og alt installert bra.
    Jeg prøvde skanneren min, og det var flott, takk for at du ga meg instruksjonene, jeg klarte å bruke skanneren